View Issue Details

IDProjectCategoryView StatusLast Update
0023328mantisbtcustomizationpublic2017-10-01 14:55
ReporterptenizAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionno change required 
Product Version2.5.1 
Target VersionFixed in Version 
Summary0023328: Integration with MediaWiki 1.27 or later
Description

The authentication mechanism has been revamped in version 1.27 of MediaWiki

Additional Information

Previous authentication mechanism with mantis Auth Extension is not working any more

TagsNo tags attached.

Activities

dregad

dregad

2017-09-08 03:34

developer   ~0057645

I don't use MediaWiki myself, but to my knowledge the bundled wiki integration in MantisBT just provides a menu item linking to a wiki page depending on context (Project / Issue), there is no authentication involved as far as I remember. This is handled in https://github.com/mantisbt/mantisbt/blob/release-2.6.0/core/classes/MantisCoreWikiPlugin.class.php#L109

Can you please clarify what you are referring to ?

pteniz

pteniz

2017-09-11 02:16

reporter   ~0057667

Until MediaWIki 1.27 there was an MantisAuth extension, which created the accounts in mediawiki and logged in the related user from mantisbt .
This scenario changed with MediaWiki 1.27.
SessionManager and AuthManager are two authentication-related frameworks introduced in MediaWiki 1.27

dregad

dregad

2017-09-11 03:06

developer   ~0057669

there was an MantisAuth extension

Are you referring to this https://github.com/hugllc/MantisAuth ?

If that's the case (or if it's some other MediaWiki extension), then I suggest you file a bug report with the original owner.
This bug tracker is for issues with MantisBT itself, we do not maintain 3rd party software.

atrol

atrol

2017-09-21 17:42

developer   ~0057787

pteniz,

You did not provide any feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time if this is not related to https://github.com/hugllc/MantisAuth

Issue History

Date Modified Username Field Change
2017-09-07 11:35 pteniz New Issue
2017-09-08 03:34 dregad Status new => feedback
2017-09-08 03:34 dregad Note Added: 0057645
2017-09-11 02:16 pteniz Note Added: 0057667
2017-09-11 02:16 pteniz Status feedback => new
2017-09-11 03:06 dregad Status new => feedback
2017-09-11 03:06 dregad Note Added: 0057669
2017-09-11 03:06 dregad Summary Intergration with MediaWiki 1.27 or later => Integration with MediaWiki 1.27 or later
2017-09-21 17:42 atrol Assigned To => dregad
2017-09-21 17:42 atrol Status feedback => resolved
2017-09-21 17:42 atrol Resolution open => no change required
2017-09-21 17:42 atrol Note Added: 0057787
2017-10-01 14:55 atrol Status resolved => closed